Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(42)

Issue 1212543002: Pull the Voice Activity Detector out from the AGC (Closed)

Created:
4 years, 2 months ago by aluebs-webrtc
Modified:
4 years, 2 months ago
Reviewers:
Andrew MacDonald
CC:
webrtc-reviews_webrtc.org, Andrew MacDonald, tterriberry_mozilla.com, hlundin-webrtc, kwiberg-webrtc, aluebs-webrtc, bjornv1
Base URL:
https://chromium.googlesource.com/external/webrtc.git@master
Target Ref:
refs/pending/heads/master
Project:
webrtc
Visibility:
Public.

Description

Pull the Voice Activity Detector out from the AGC This change generates bit-exact values when running through audioproc_f than before. This change was originally uploaded here: * https://codereview.webrtc.org/1181933002/ * https://codereview.webrtc.org/1177043017/ And reverted because of an ASAN problem in Chrome here: * https://codereview.webrtc.org/1192863006/ * https://codereview.webrtc.org/1194963003/ TBR=andrew@webrtc.org Committed: https://crrev.com/ecf6b81644af9823dbff5c24a3d5b9bb596c0d5b Cr-Commit-Position: refs/heads/master@{#9505}

Patch Set 1 #

Total comments: 3
Unified diffs Side-by-side diffs Delta from patch set Stats (+874 lines, -2419 lines) Patch
M webrtc/modules/audio_processing/BUILD.gn View 3 chunks +20 lines, -18 lines 0 comments Download
M webrtc/modules/audio_processing/agc/agc.h View 2 chunks +4 lines, -15 lines 0 comments Download
M webrtc/modules/audio_processing/agc/agc.cc View 5 chunks +10 lines, -67 lines 0 comments Download
D webrtc/modules/audio_processing/agc/agc_audio_proc.h View 1 chunk +0 lines, -83 lines 0 comments Download
D webrtc/modules/audio_processing/agc/agc_audio_proc.cc View 1 chunk +0 lines, -269 lines 0 comments Download
D webrtc/modules/audio_processing/agc/agc_audio_proc_internal.h View 1 chunk +0 lines, -81 lines 0 comments Download
D webrtc/modules/audio_processing/agc/agc_audio_proc_unittest.cc View 1 chunk +0 lines, -61 lines 0 comments Download
M webrtc/modules/audio_processing/agc/agc_manager_direct.cc View 1 chunk +1 line, -1 line 0 comments Download
D webrtc/modules/audio_processing/agc/circular_buffer.h View 1 chunk +0 lines, -69 lines 0 comments Download
D webrtc/modules/audio_processing/agc/circular_buffer.cc View 1 chunk +0 lines, -136 lines 0 comments Download
D webrtc/modules/audio_processing/agc/circular_buffer_unittest.cc View 1 chunk +0 lines, -132 lines 0 comments Download
D webrtc/modules/audio_processing/agc/common.h View 1 chunk +0 lines, -27 lines 0 comments Download
D webrtc/modules/audio_processing/agc/gmm.h View 1 chunk +0 lines, -45 lines 0 comments Download
D webrtc/modules/audio_processing/agc/gmm.cc View 1 chunk +0 lines, -61 lines 0 comments Download
D webrtc/modules/audio_processing/agc/gmm_unittest.cc View 1 chunk +0 lines, -65 lines 0 comments Download
D webrtc/modules/audio_processing/agc/noise_gmm_tables.h View 1 chunk +0 lines, -77 lines 0 comments Download
D webrtc/modules/audio_processing/agc/pitch_based_vad.h View 1 chunk +0 lines, -56 lines 0 comments Download
D webrtc/modules/audio_processing/agc/pitch_based_vad.cc View 1 chunk +0 lines, -122 lines 0 comments Download
D webrtc/modules/audio_processing/agc/pitch_based_vad_unittest.cc View 1 chunk +0 lines, -71 lines 0 comments Download
D webrtc/modules/audio_processing/agc/pitch_internal.h View 1 chunk +0 lines, -26 lines 0 comments Download
D webrtc/modules/audio_processing/agc/pitch_internal.cc View 1 chunk +0 lines, -52 lines 0 comments Download
D webrtc/modules/audio_processing/agc/pitch_internal_unittest.cc View 1 chunk +0 lines, -50 lines 0 comments Download
D webrtc/modules/audio_processing/agc/pole_zero_filter.h View 1 chunk +0 lines, -50 lines 0 comments Download
D webrtc/modules/audio_processing/agc/pole_zero_filter.cc View 1 chunk +0 lines, -111 lines 0 comments Download
D webrtc/modules/audio_processing/agc/pole_zero_filter_unittest.cc View 1 chunk +0 lines, -97 lines 0 comments Download
D webrtc/modules/audio_processing/agc/standalone_vad.h View 1 chunk +0 lines, -70 lines 0 comments Download
D webrtc/modules/audio_processing/agc/standalone_vad.cc View 1 chunk +0 lines, -96 lines 0 comments Download
D webrtc/modules/audio_processing/agc/standalone_vad_unittest.cc View 1 chunk +0 lines, -104 lines 0 comments Download
D webrtc/modules/audio_processing/agc/voice_gmm_tables.h View 1 chunk +0 lines, -77 lines 0 comments Download
M webrtc/modules/audio_processing/audio_processing.gypi View 3 chunks +20 lines, -18 lines 0 comments Download
A + webrtc/modules/audio_processing/vad/common.h View 2 chunks +3 lines, -3 lines 0 comments Download
A + webrtc/modules/audio_processing/vad/gmm.h View 2 chunks +3 lines, -3 lines 0 comments Download
A + webrtc/modules/audio_processing/vad/gmm.cc View 3 chunks +8 lines, -5 lines 0 comments Download
A + webrtc/modules/audio_processing/vad/gmm_unittest.cc View 1 chunk +3 lines, -3 lines 0 comments Download
A webrtc/modules/audio_processing/vad/noise_gmm_tables.h View 1 chunk +85 lines, -0 lines 0 comments Download
A + webrtc/modules/audio_processing/vad/pitch_based_vad.h View 3 chunks +8 lines, -7 lines 0 comments Download
A + webrtc/modules/audio_processing/vad/pitch_based_vad.cc View 4 chunks +11 lines, -9 lines 0 comments Download
A + webrtc/modules/audio_processing/vad/pitch_based_vad_unittest.cc View 2 chunks +15 lines, -11 lines 0 comments Download
A + webrtc/modules/audio_processing/vad/pitch_internal.h View 2 chunks +3 lines, -3 lines 0 comments Download
A + webrtc/modules/audio_processing/vad/pitch_internal.cc View 2 chunks +1 line, -2 lines 0 comments Download
A + webrtc/modules/audio_processing/vad/pitch_internal_unittest.cc View 2 chunks +6 lines, -6 lines 0 comments Download
A + webrtc/modules/audio_processing/vad/pole_zero_filter.h View 2 chunks +3 lines, -3 lines 0 comments Download
A + webrtc/modules/audio_processing/vad/pole_zero_filter.cc View 5 chunks +11 lines, -16 lines 0 comments Download
A + webrtc/modules/audio_processing/vad/pole_zero_filter_unittest.cc View 1 chunk +28 lines, -23 lines 0 comments Download
A + webrtc/modules/audio_processing/vad/standalone_vad.h View 1 chunk +1 line, -1 line 0 comments Download
A + webrtc/modules/audio_processing/vad/standalone_vad.cc View 3 chunks +3 lines, -6 lines 0 comments Download
A + webrtc/modules/audio_processing/vad/standalone_vad_unittest.cc View 4 chunks +5 lines, -5 lines 0 comments Download
A + webrtc/modules/audio_processing/vad/vad_audio_proc.h View 4 chunks +9 lines, -8 lines 0 comments Download
A + webrtc/modules/audio_processing/vad/vad_audio_proc.cc View 12 chunks +43 lines, -38 lines 0 comments Download
A webrtc/modules/audio_processing/vad/vad_audio_proc_internal.h View 1 chunk +94 lines, -0 lines 0 comments Download
A + webrtc/modules/audio_processing/vad/vad_audio_proc_unittest.cc View 2 chunks +7 lines, -5 lines 0 comments Download
A + webrtc/modules/audio_processing/vad/vad_circular_buffer.h View 4 chunks +7 lines, -7 lines 0 comments Download
A + webrtc/modules/audio_processing/vad/vad_circular_buffer.cc View 6 chunks +17 lines, -15 lines 0 comments Download
A + webrtc/modules/audio_processing/vad/vad_circular_buffer_unittest.cc View 8 chunks +21 lines, -20 lines 0 comments Download
A webrtc/modules/audio_processing/vad/voice_activity_detector.h View 1 chunk +70 lines, -0 lines 0 comments Download
A webrtc/modules/audio_processing/vad/voice_activity_detector.cc View 1 chunk +87 lines, -0 lines 3 comments Download
A webrtc/modules/audio_processing/vad/voice_activity_detector_unittest.cc View 1 chunk +168 lines, -0 lines 0 comments Download
A webrtc/modules/audio_processing/vad/voice_gmm_tables.h View 1 chunk +85 lines, -0 lines 0 comments Download
M webrtc/modules/modules.gyp View 2 chunks +8 lines, -7 lines 0 comments Download
M webrtc/tools/agc/activity_metric.cc View 3 chunks +6 lines, -6 lines 0 comments Download

Messages

Total messages: 8 (1 generated)
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1212543002/1
4 years, 2 months ago (2015-06-25 17:06:01 UTC) #2
commit-bot: I haz the power
Committed patchset #1 (id:1)
4 years, 2 months ago (2015-06-25 19:28:53 UTC) #3
commit-bot: I haz the power
Patchset 1 (id:??) landed as https://crrev.com/ecf6b81644af9823dbff5c24a3d5b9bb596c0d5b Cr-Commit-Position: refs/heads/master@{#9505}
4 years, 2 months ago (2015-06-25 19:29:02 UTC) #4
Andrew MacDonald
lgtm Just curious, what was the ASAN fix?
4 years, 2 months ago (2015-06-29 03:35:40 UTC) #5
aluebs-webrtc
https://codereview.webrtc.org/1212543002/diff/1/webrtc/modules/audio_processing/vad/voice_activity_detector.cc File webrtc/modules/audio_processing/vad/voice_activity_detector.cc (right): https://codereview.webrtc.org/1212543002/diff/1/webrtc/modules/audio_processing/vad/voice_activity_detector.cc#newcode58 webrtc/modules/audio_processing/vad/voice_activity_detector.cc:58: CHECK_EQ(standalone_vad_->AddAudio(resampled_ptr, length), 0); The bug that ASAN caught was ...
4 years, 2 months ago (2015-06-29 23:34:32 UTC) #6
Andrew MacDonald
https://codereview.webrtc.org/1212543002/diff/1/webrtc/modules/audio_processing/vad/voice_activity_detector.cc File webrtc/modules/audio_processing/vad/voice_activity_detector.cc (right): https://codereview.webrtc.org/1212543002/diff/1/webrtc/modules/audio_processing/vad/voice_activity_detector.cc#newcode58 webrtc/modules/audio_processing/vad/voice_activity_detector.cc:58: CHECK_EQ(standalone_vad_->AddAudio(resampled_ptr, length), 0); On 2015/06/29 23:34:32, aluebs-webrtc wrote: > ...
4 years, 2 months ago (2015-06-29 23:38:23 UTC) #7
aluebs-webrtc
4 years, 2 months ago (2015-06-29 23:40:56 UTC) #8
Message was sent while issue was closed.
https://codereview.webrtc.org/1212543002/diff/1/webrtc/modules/audio_processi...
File webrtc/modules/audio_processing/vad/voice_activity_detector.cc (right):

https://codereview.webrtc.org/1212543002/diff/1/webrtc/modules/audio_processi...
webrtc/modules/audio_processing/vad/voice_activity_detector.cc:58:
CHECK_EQ(standalone_vad_->AddAudio(resampled_ptr, length), 0);
On 2015/06/29 23:38:23, andrew wrote:
> On 2015/06/29 23:34:32, aluebs-webrtc wrote:
> > The bug that ASAN caught was that I was passing in |audio| instead of
> > |resampled_ptr|. I guess the test cases for which I tested bit exactness
> didn't
> > exercise the resampler at all.
> 
> Thanks goodness for ASAN.

Certainly :)

Powered by Google App Engine
This is Rietveld 408576698